package models

import (
	"go-admin/common/models"
)

type LineApiGroup struct {
	models.Model

	ExchangeType string `json:"exchangeType" gorm:"type:varchar(20);comment:交易所 字典exchange_type"`
	GroupName    string `json:"groupName" gorm:"type:varchar(255);comment:用户组名称"`
	ApiUserId    string `json:"apiUserId" gorm:"type:varchar(255);comment:绑定的api账户id"`
	AApiName     string `json:"a_api_name" gorm:"-"`
	BApiName     string `json:"b_api_name" gorm:"-"`
	models.ModelTime
	models.ControlBy
}

func (LineApiGroup) TableName() string {
	return "line_api_group"
}

func (e *LineApiGroup) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineApiGroup) GetId() interface{} {
	return e.Id
}
